---
lang: en
title: 'API docs: socketio.socketioapplication'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioapplication.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoApplication](./socketio.socketioapplication.md)

## SocketIoApplication class

**Signature:**

```typescript
export declare class SocketIoApplication extends Application 
```
**Extends:** [Application](./core.application.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(config)](./socketio.socketioapplication._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `SocketIoApplication` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[socketServer](./socketio.socketioapplication.socketserver.md)


</td><td>

`readonly`


</td><td>

[SocketIoServer](./socketio.socketioserver.md)


</td><td>

The main Socket server instance providing Socket connections for this application.


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[server(server, name)](./socketio.socketioapplication.server.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


